<?php
/*
	This test is destructive and should not be run on a live database.  
	This test will refuse to run on a database that is configured in config.php
*/


#error_reporting(E_ALL & ~E_NOTICE);
define('THIS_SCRIPT', basename(__FILE__));

require_once 'PHPUnit/Framework.php';
require_once 'PHPUnit/Extensions/PerformanceTestCase.php';
require_once dirname(__FILE__)."/setupvb.php";
require_once DIR . "/includes/functions.php";
require_once DIR . "/includes/class_dm.php";

class database_keyword_Test extends PHPUnit_Framework_TestCase 
{
	public function setUp() 
	{

	}

	public function tearDown() 
	{
	
	}

	public function test_add_keyword() {
		global $vbulletin;
		$keyworddata = &datamanager_init('keyword', $vbulletin, ERRTYPE_ARRAY); 
		$this->assertTrue(is_object($keyworddata));
 
	}

}
?>
